<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="ABSTRACT_FILE_SYSTEM.html"><font color="#008000">ABSTRACT_FILE_SYSTEM</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Basic File System manager."</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Drives</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">current_drive</font></strong>:<a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a>;    <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Current Drive</font></strong></em>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">isaac_drive</font></strong>:<a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a>;      <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  System Drive</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_drive</font></strong> d:<a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Directories</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">root</font></strong>:<a href="DIRECTORY.html"><font color="#008000">DIRECTORY</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">current_dir</font></strong>:<a href="DIRECTORY.html"><font color="#008000">DIRECTORY</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Current directory</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_current_directory</font></strong>:<a href="DIRECTORY.html"><font color="#008000">DIRECTORY</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_directory</font></strong> n:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<a href="DIRECTORY.html"><font color="#008000">DIRECTORY</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">change_directory</font></strong> n:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Files</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">new_file</font></strong> n:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<a href="STD_FILE.html"><font color="#008000">STD_FILE</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_file_type</font></strong> n:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<a href="STD_FILE.html"><font color="#008000">STD_FILE</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Return file Type Format</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_file</font></strong> n:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<a href="STD_FILE.html"><font color="#008000">STD_FILE</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Size of all files of the file system</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Init</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">physical_init</font></strong> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> <-
 
</body>
</html>
 